#
# Conditional build:
%bcond_without	tests		# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define	pdir	Variable
%define	pnam	Magic
Summary:	Variable::Magic - Associate user-defined magic to variables from Perl
Summary(pl.UTF-8):	Variable::Magic - dowiązanie magii zdefiniowanej przez użytkownika do zmiennych w Perlu
Name:		perl-Variable-Magic
Version:	0.55
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.perl.com/CPAN/modules/by-module/Variable/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	0b080c9b614e5a26baeebc98c32cccad
URL:		http://search.cpan.org/dist/Variable-Magic/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Magic is Perl way of enhancing objects.

This mechanism let the user add extra data to any variable and hook
syntaxical operations (such as access, assignation or destruction)
that can be applied to it.

With this module, you can add your own magic to any variable without
the pain of the C API.

%description -l pl.UTF-8
Magia to perlowy sposób rozszerzania obiektów.

Ten mechanizm pozwala użytkownikowi dodać dodatkowe dane do dowolnej
zmiennej i przechwycić operacje składniowe (takie jak dostęp,
powiązanie czy destrukcję), które można na niej wykonać.

Przy użyciu tego modułu można dodawać własną magię do dowolnej
zmiennej unikając bólu API języka C.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make} \
	CC="%{__cc}" \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} pure_install \
	DESTDIR=$RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}
cp -a samples $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorarch}/Variable/Magic.pm
%dir %{perl_vendorarch}/auto/Variable/Magic
%attr(755,root,root) %{perl_vendorarch}/auto/Variable/Magic/Magic.so
%{_mandir}/man3/Variable::Magic.3pm*
%{_examplesdir}/%{name}-%{version}
%changelog
* Tue Mar 10 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-Variable-Magic.git;a=log;h=master

* Mon Mar 09 2015 Jakub Bogusz <qboosh@pld-linux.org> eee9af0
- updated to 0.55
- pl

* Thu Feb 26 2015 Jan Rękorajski <baggins@pld-linux.org> a6203e3
- x32 rebuild
- release 3 (by relup.sh)

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> bd35f80
- rebuild for perl 5.20
- release 2 (by relup.sh)

* Mon Jun 10 2013 Jan Rękorajski <baggins@pld-linux.org> 0e0541a
- up to 0.52

* Sat Jun 08 2013 Jan Rękorajski <baggins@pld-linux.org> 61e241a
- rebuild with perl 5.18.0
- release 2 (by relup.sh)

* Sun Jan 15 2012 zbyniu <zbyniu@pld-linux.org> c916eac
- up to 0.47

* Tue Oct 04 2011 lisu <lisu@pld-linux.org> f281eba
- rel 2

* Fri Jul 01 2011 marti <marti@pld-linux.org> ab3de14
- up to 0.46

* Sun Jun 06 2010 radek <radek@pld-linux.org> 48be34e
- Source0: try the CPAN multiplexer...

* Sun Jun 06 2010 radek <radek@pld-linux.org> 7bb6b03
- version 0.42

* Sun Jun 06 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 104af1e
- release 2

* Fri Oct 16 2009 amateja <amateja@pld-linux.org> 267f255
- updated to 0.38

* Fri Jan 30 2009 radek <radek@pld-linux.org> ee20fd4
- new

